{
pixscale=0.111;

obj=$1;
ra=$2;
dec=$3;
eq=$4;
pa=$5;
allfilter=$6;
allexp=$7;
allpat=$8;
alldith=$9;
allnframe=$10
mode=$11;
slit=$12;

#junk=pat
#matchim=gsub("IM",junk,junk);
#matchsp=gsub("SP",junk,junk);

nf=split(allfilter,filter,",");
nexp=split(allexp,exptime,",");
nn=split(allnframe,nframe,",");
ndith=split(alldith,dith,",");
np=split(allpat,pat,",");

if(nf!=nexp){
  print("echo 'Error: Number of fields in column 6 and 7 should be same.'");
  exit 1;
}
if(nf!=nn){
  print("echo 'Error: Number of fields in column 6 and 10 should be same.'");
  exit 1;
}

if(nf!=ndith){
  for(i=1;i<=nf;i++) dith[i]=dith[1];
}
if(nf!=np){
  for(i=1;i<=nf;i++) pat[i]=pat[1];
}
   
junk=allfilter
matchsp=gsub("Gr",junk,junk);
matchim=nf-matchsp

if(matchim>0){
  if(mode=="OBJ"){
#proc1
    printf("sed 's/XOBJECTNAMEX/%s/g' %s/ope.objim1 | sed 's/XEXPOSUREX/%s/g' | sed 's/XFILTERX/%s/g'\n",obj,libdir,exptime[1],filter[1]);
    for(i=1;i<=nf;i++){
      if(gsub("Gr","Gr",filter[i])==0) printf("sed 's/XOBJECTNAMEX/%s/g' %s/ope.objim2 | sed 's/XEXPOSUREX/%s/g' | sed 's/XFILTERX/%s/g'| sed 's/XDITHX/%s/g'| sed 's/XNFRAMEX/%s/g'|sed 's/XDITHPATTERNX/%s/g'\n",obj,libdir,exptime[i],filter[i],dith[i],nframe[i],pat[i]);
    }
  }
  else if(mode=="STD"){
#proc1
    printf("sed 's/XOBJECTNAMEX/%s/g' %s/ope.stdim1 | sed 's/XEXPOSUREX/%s/g' | sed 's/XFILTERX/%s/g'\n",obj,libdir,exptime[1],filter[1]);
    for(i=1;i<=nf;i++){
      if(gsub("Gr","Gr",filter[i])==0) printf("sed 's/XOBJECTNAMEX/%s/g' %s/ope.stdim2 | sed 's/XEXPOSUREX/%s/g' | sed 's/XFILTERX/%s/g'| sed 's/XDITHX/%s/g'| sed 's/XNFRAMEX/%s/g'|sed 's/XDITHPATTERNX/%s/g'\n",obj,libdir,exptime[i],filter[i],dith[i],nframe[i],pat[i]);
    }
  }
}

if(matchsp>0){
  if(mode=="OBJ"){
    for(i=1;i<=nf;i++){
       if(gsub("Gr","Gr",filter[i])>0) {
	 if(filter[i]=="wKGr")	 spimfilter="Kp";
	 else if(filter[i]=="JHGr")	 spimfilter="H";
	 else if(filter[i]=="zJGr")	 spimfilter="J";
	 break;
       }
    }
    printf("sed 's/XOBJECTNAMEX/%s/g' %s/ope.objsp1 | sed 's/XEXPOSUREX/%s/g' | sed 's/XFILTERX/%s/g'| sed 's/XSPFILTERX/%s/g'\n",obj,libdir,exptime[1],filter[1],spimfilter);
    for(i=1;i<=nf;i++){
      if(gsub("Gr","Gr",filter[i])>0){
	if(filter[i]=="zJGr") nsample=6;
	else nsample=1
	printf("sed 's/XOBJECTNAMEX/%s/g' %s/ope.objsp2 | sed 's/XEXPOSUREX/%s/g' | sed 's/XFILTERX/%s/g'| sed 's/XDITHX/%s/g'| sed 's/XNFRAMEX/%s/g'|sed 's/XDITHPATTERNX/%s/g'|sed 's/XSLITX/%s/g'|sed 's/XNSAMPLEX/%s/g'\n",obj,libdir,exptime[i],filter[i],dith[i],nframe[i],pat[i],slit,nsample);
      }
    }
  }
  else if(mode=="STD"){
    pixhalfslit=int(slit/2/pixscale);
    printf("sed 's/XOBJECTNAMEX/%s/g' %s/ope.stdsp1 | sed 's/XEXPOSUREX/%s/g' | sed 's/XFILTERX/%s/g' | sed 's/XHSLITX/%.1f/g' \n",obj,libdir,exptime[1],filter[1],pixhalfslit);
    for(i=1;i<=nf;i++){
      if(gsub("Gr","Gr",filter[i])>0) printf("sed 's/XOBJECTNAMEX/%s/g' %s/ope.stdsp2 | sed 's/XEXPOSUREX/%s/g' | sed 's/XFILTERX/%s/g'| sed 's/XDITHX/%s/g'| sed 's/XNFRAMEX/%s/g'|sed 's/XDITHPATTERNX/%s/g'|sed 's/XSLITX/%s/g'\n",obj,libdir,exptime[i],filter[i],dith[i],nframe[i],pat[i],slit);
    }
  }
}
}
